petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatDiagonalScaleLocal

Scales columns of a matrix given the scaling values including the ghosted ones.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDiagonalScaleLocal(Mat mat,Vec diag)

Not Collective Many br

### Input Parameters

| mat | - the matrix Many br
| diag = the diagonal values, including ghost ones | - Many br Many br

Notes: Works only for MPIAIJ and MPIBAIJ matrices Many br

### See Also

MatDiagonalScale()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages